/***************************************************************************
                         label.h  --  label handler
                             -------------------
    begin                : Wed Jun 14 17:58:28 BST 2000
    copyright            : (C) 2000 by Simon Collis
    email                : lunarship@yahoo.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public Licence as published by  *
 *   the Free Software Foundation; either version 2 of the Licence, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef _LABEL_H
#define _LABEL_H

#define LBL_NONE (0)
#define LBL_SYNCPC (1)
#define LBL_VARIABLE (2)

struct label {
	struct label* next;
	char *name;
	char *filename;
	unsigned int value;
	unsigned int line;
	unsigned int locale;
};

void lbl_init(void);
int lbl_define(char *,unsigned int,unsigned int);
long lbl_getval(char *);
/*@null@*/struct label *lbl_getptr(char *,unsigned int);
int lbl_enterlocal(void);
long lbl_exitlocal(void);
unsigned int lbl_getlocale(void);
void lbl_dumpsym(void);
void lbl_destroy(void);
void lbl_reset(void);

#endif
